#include "windows.h"
#include "icmtest.h"

ICMTest MENU
    BEGIN
	POPUP "&File"
	    BEGIN
		MENUITEM "&Open...",		IDM_OPEN, GRAYED
		MENUITEM "&Save As...", 	IDM_SAVE, GRAYED
		MENUITEM "&Print",		IDM_PRINT
		MENUITEM SEPARATOR
		MENUITEM "E&xit",		IDM_EXIT
	    END
	POPUP "&API's"
	    BEGIN
		MENUITEM "EnableICM",		IDM_ENABLEICM
		MENUITEM SEPARATOR
		MENUITEM "GetColorSpace",	IDM_GETCOLORSPACE
		MENUITEM "GetLogColorSpace",	IDM_GETLOGCOLORSPACE
		POPUP	 "CreateColorSpace" //, IDM_CREATECOLORSPACE
		    BEGIN
			MENUITEM "Gamma 1.8",	  IDM_CRE_GAMMA_18
			MENUITEM "Source Profile",IDM_CRE_GAMMA_22
			MENUITEM "Gamma 1.0 GBR", IDM_CRE_GBR
			MENUITEM "Gamma 1.8 RBG", IDM_CRE_GAMMA_18_RBG
		    END
		POPUP	 "SetColorSpace"   //,	IDM_SETCOLORSPACE
		    BEGIN
			MENUITEM "Default CS",	  IDM_SET_DEFAULT_CS
			MENUITEM "Gamma 1.8",	  IDM_SET_GAMMA_18
			MENUITEM "Source Profile",IDM_SET_GAMMA_22
			MENUITEM "Gamma 1.0 GBR", IDM_SET_GBR
			MENUITEM "Gamma 1.8 RBG", IDM_SET_GAMMA_18_RBG
		    END
		POPUP	 "DeleteColorSpace" //, IDM_DELETECOLORSPACE
		    BEGIN
			MENUITEM "Gamma 1.8",	  IDM_DEL_GAMMA_18
			MENUITEM "Source Profile",IDM_DEL_GAMMA_22
			MENUITEM "Gamma 1.0 GBR", IDM_DEL_GBR
			MENUITEM "Gamma 1.8 RBG", IDM_DEL_GAMMA_18_RBG
		    END
		MENUITEM SEPARATOR
		MENUITEM "CheckColors", 	IDM_CHECKCOLORS
		MENUITEM SEPARATOR
		MENUITEM "ColorMatchToTarget",	IDM_MATCHTOTARGET
		MENUITEM SEPARATOR
		MENUITEM "Enumerate GMM's",	IDM_ENUMERATEGMM
		MENUITEM "GetGMMethod", 	IDM_GETGMM
		POPUP	 "SetGMMethod" //, IDM_SETGMM
		    BEGIN
			POPUP "Default"
			    BEGIN
				MENUITEM "Maintain Lum",    IDM_SGMM_LUM_D
				MENUITEM "Maintain Hue",    IDM_SGMM_HUE_D
				MENUITEM "Maintain Sat",    IDM_SGMM_SAT_D
			    END
			POPUP "ICM 2"
			    BEGIN
				MENUITEM "Maintain Lum",    IDM_SGMM_LUM_2
				MENUITEM "Maintain Hue",    IDM_SGMM_HUE_2
				MENUITEM "Maintain Sat",    IDM_SGMM_SAT_2
			    END
		    END
		MENUITEM SEPARATOR
		POPUP	 "Load ICM" //, IDM_LOADICM
		    BEGIN
			MENUITEM "ICM 2",	IDM_LOAD_ICM_2
			MENUITEM "ICM 3",	IDM_LOAD_ICM_3
			MENUITEM "ICM 4",	IDM_LOAD_ICM_4
		    END
		POPUP	 "Free ICM" //, IDM_FREEICM
		    BEGIN
			MENUITEM "ICM 2",	IDM_FREE_ICM_2
			MENUITEM "ICM 3",	IDM_FREE_ICM_3
			MENUITEM "ICM 4",	IDM_FREE_ICM_4
		    END
		MENUITEM SEPARATOR
		MENUITEM "GetColorProfile",	IDM_GETCOLORPROFILE
		MENUITEM "SetColorProfile",	IDM_SETCOLORPROFILE
		MENUITEM SEPARATOR
		MENUITEM "GetDevGammaRamp",	IDM_GETGAMMARAMP
		MENUITEM "SetDevGammaRamp",	IDM_SETGAMMARAMP
	    END
	POPUP "&Modifiers"
	    BEGIN
		MENUITEM "&Test DIC",		IDM_TEST
		MENUITEM SEPARATOR
		MENUITEM "&RGBs"		IDM_RGBS
		MENUITEM "&PALETTERGBs" 	IDM_PALETTERGBS
		MENUITEM SEPARATOR
		MENUITEM "&8 Bit DIB"		IDM_8BITDIB
		MENUITEM "&24 Bit DIB"		IDM_24BITDIB
	    END
	POPUP "&Help"
	    BEGIN
		MENUITEM "&About ICMTest...",	IDM_ABOUT
	    END
    END

AboutBox DIALOG 22, 17, 144, 75
STYLE DS_MODALFRAME | WS_CAPTION | WS_SYSMENU
CAPTION "About Generic"
BEGIN
	CTEXT "Microsoft Windows"     -1,       0,  5, 144,  8
	CTEXT "ICMTest Application"   -1,	0, 14, 144,  8
	CTEXT "Version 1.0"	      -1,	0, 34, 144,  8
	DEFPUSHBUTTON "OK"          IDOK,      53, 59,  32, 14,      WS_GROUP
END

/**** The Abort Print dialog ****/

PRTDLG DIALOG LOADONCALL MOVEABLE DISCARDABLE 40, 40, 120, 40
STYLE WS_BORDER | WS_CAPTION | WS_DLGFRAME | WS_SYSMENU | WS_VISIBLE | WS_POPUP
BEGIN
	   CONTROL "Cancel Printing", -1, "static", SS_CENTER | WS_GROUP | WS_CHILD, 4, 6, 120, 12
	   CONTROL "Cancel", 2, "button", BS_DEFPUSHBUTTON | WS_GROUP | WS_TABSTOP | WS_CHILD, 44, 22, 32, 14
END
